SEN21231 Person Sensor from Useful Sensors
==========================================

.. seo::
    :description: Instructions for setting up a SEN21231 Person Sensor from Useful Sensors with ESPHome.
    :image: description.svg

`Person Sensor (SEN21231) from Useful Sensors <https://usefulsensors.com/person-sensor>`__ has built in facial recognition that can detect how many people are facing the sensor and relative positions of the faces.

.. figure:: images/sen21231.png
    :align: center
    :width: 70.0%


    Person Sensor

This sensor requires an :doc:`/components/i2c`. The I2C address is ``0x62``

.. code-block:: yaml

    # Example configuration entry
    sensor:
      - platform: sen21231
        id: person_sensor

Configuration variables:
------------------------

- All options from :ref:`Sensor <config-sensor>`.

See Also
--------

- :doc:`/components/sensor/index`
- :apiref:`sen21231/sen21231.h`
- :ghedit:`Edit`
